Skip to content

Validate a board item move without mutating runtime state.

POST
/api/workspace/boards/{boardIdOrKey}/items/{boardItemId}/move/validate
curl --request POST \
--url https://example.com/api/workspace/boards/example/items/example/move/validate \
--header 'Content-Type: application/json' \
--data '{ "ToBoardStatusId": "example", "Position": { "PreviousBoardItemId": "example", "NextBoardItemId": "example" }, "RowVersion": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }'
  • None
boardIdOrKey
required
string
boardItemId
required
string
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

Request to move an open board item.

object
ToBoardStatusId
string
nullable
Position

Position for a board item inside a status.

object
PreviousBoardItemId
string
nullable
NextBoardItemId
string
nullable
RowVersion
string format: uuid
nullable
Examplegenerated
{
"ToBoardStatusId": "example",
"Position": {
"PreviousBoardItemId": "example",
"NextBoardItemId": "example"
},
"RowVersion": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
}

OK

Media typeapplication/json
object
Data

Dry-run result for one board item move request.

object
Allowed
boolean
BoardItemId
string
nullable
FromBoardStatusId
string
nullable
ToBoardStatusId
string
nullable
BoardTransitionId
string
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
CloseBlockers

Open child items blocking a terminal move.

object
TotalCount
integer format: int32
HiddenCount
integer format: int32
ReadableChildren
Array<object>
nullable

Compact board item summary used by item-link surfaces.

object
Id
string
nullable
BoardId
string
nullable
BoardKey
string
nullable
BoardDisplayName
string
nullable
RunNumber
integer format: int32
DisplayName
string
nullable
Subtitle
string
nullable
BoardStatusId
string
nullable
BoardStatusDisplayName
string
nullable
BoardStatusColor
string
nullable
BoardTargetDefinitionId
string
nullable
BoardTargetDefinitionDisplayName
string
nullable
IsOpen
boolean
IsRestricted
boolean
HiddenChildren
Array<object>
nullable

Safe summary for a hidden child blocker.

object
BoardDisplayName
string
nullable
RunNumber
integer format: int32
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"Errors": [
{
"Type": 0,
"Severity": 0
}
]
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Bad Request

Media typeapplication/json
object
Data

Dry-run result for one board item move request.

object
Allowed
boolean
BoardItemId
string
nullable
FromBoardStatusId
string
nullable
ToBoardStatusId
string
nullable
BoardTransitionId
string
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
CloseBlockers

Open child items blocking a terminal move.

object
TotalCount
integer format: int32
HiddenCount
integer format: int32
ReadableChildren
Array<object>
nullable

Compact board item summary used by item-link surfaces.

object
Id
string
nullable
BoardId
string
nullable
BoardKey
string
nullable
BoardDisplayName
string
nullable
RunNumber
integer format: int32
DisplayName
string
nullable
Subtitle
string
nullable
BoardStatusId
string
nullable
BoardStatusDisplayName
string
nullable
BoardStatusColor
string
nullable
BoardTargetDefinitionId
string
nullable
BoardTargetDefinitionDisplayName
string
nullable
IsOpen
boolean
IsRestricted
boolean
HiddenChildren
Array<object>
nullable

Safe summary for a hidden child blocker.

object
BoardDisplayName
string
nullable
RunNumber
integer format: int32
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"Errors": [
{
"Type": 0,
"Severity": 0
}
]
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Forbidden

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Not Found

Media typeapplication/json
object
Data

Dry-run result for one board item move request.

object
Allowed
boolean
BoardItemId
string
nullable
FromBoardStatusId
string
nullable
ToBoardStatusId
string
nullable
BoardTransitionId
string
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
CloseBlockers

Open child items blocking a terminal move.

object
TotalCount
integer format: int32
HiddenCount
integer format: int32
ReadableChildren
Array<object>
nullable

Compact board item summary used by item-link surfaces.

object
Id
string
nullable
BoardId
string
nullable
BoardKey
string
nullable
BoardDisplayName
string
nullable
RunNumber
integer format: int32
DisplayName
string
nullable
Subtitle
string
nullable
BoardStatusId
string
nullable
BoardStatusDisplayName
string
nullable
BoardStatusColor
string
nullable
BoardTargetDefinitionId
string
nullable
BoardTargetDefinitionDisplayName
string
nullable
IsOpen
boolean
IsRestricted
boolean
HiddenChildren
Array<object>
nullable

Safe summary for a hidden child blocker.

object
BoardDisplayName
string
nullable
RunNumber
integer format: int32
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"Errors": [
{
"Type": 0,
"Severity": 0
}
]
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Conflict

Media typeapplication/json
object
Data

Dry-run result for one board item move request.

object
Allowed
boolean
BoardItemId
string
nullable
FromBoardStatusId
string
nullable
ToBoardStatusId
string
nullable
BoardTransitionId
string
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
CloseBlockers

Open child items blocking a terminal move.

object
TotalCount
integer format: int32
HiddenCount
integer format: int32
ReadableChildren
Array<object>
nullable

Compact board item summary used by item-link surfaces.

object
Id
string
nullable
BoardId
string
nullable
BoardKey
string
nullable
BoardDisplayName
string
nullable
RunNumber
integer format: int32
DisplayName
string
nullable
Subtitle
string
nullable
BoardStatusId
string
nullable
BoardStatusDisplayName
string
nullable
BoardStatusColor
string
nullable
BoardTargetDefinitionId
string
nullable
BoardTargetDefinitionDisplayName
string
nullable
IsOpen
boolean
IsRestricted
boolean
HiddenChildren
Array<object>
nullable

Safe summary for a hidden child blocker.

object
BoardDisplayName
string
nullable
RunNumber
integer format: int32
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"Errors": [
{
"Type": 0,
"Severity": 0
}
]
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}